"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MiddlewareClient = void 0;
const client_utils_1 = require("@scramjet/client-utils");
const multi_manager_api_client_1 = require("@scramjet/multi-manager-api-client");
const manager_api_client_1 = require("@scramjet/manager-api-client");
class MiddlewareClient {
    constructor(apiBase, utils = new client_utils_1.ClientUtils(apiBase)) {
        this.apiBase = apiBase.replace(/\/$/, "");
        this.client = utils;
    }
    async addMultiManager(api) {
        return this.client
            .post("add", { api }, {
            "content-type": "application/json",
        }, { json: true, parse: "json" });
    }
    getMultiManagerClient(id, mutliManagerApiBase = "/api/v1") {
        return new multi_manager_api_client_1.MultiManagerClient(`${this.apiBase}/mm/${id}${mutliManagerApiBase}`);
    }
    getManagerClient(id, mutliManagerApiBase = "/api/v1") {
        return new manager_api_client_1.ManagerClient(`${this.apiBase}/space/${id}${mutliManagerApiBase}`);
    }
    async listMultiManagers() {
        return this.client.get("list");
    }
    async getVersion() {
        return this.client.get("version");
    }
}
exports.MiddlewareClient = MiddlewareClient;
//# sourceMappingURL=middleware-client.js.map